# Génération d'un lien universel

## Aperçu

Depuis la version 7.14.0 de WorkflowGen serveur, vous pouvez générer un lien universel pour simplifier le processus de connexion Okta de vos utilisateurs de l'application mobile WorkflowGen Plus.

## URL de base

* **protocol:** `workflowgenplus://`
* **hostname:** `auth.init`

## Paramètres

Vous devez régler les paramètres suivants :

* **provider** : `okta`&#x20;
* **server\_address** : L'URL de votre application WorkflowGen, dont la valeur doit être encodée URL (p.ex. : `https://macompagnie.com/wfgen`).
* **client\_id** : Utilisez l'`ID client` que vous avez créé antérieurement dans la configuration (p.ex. : `0o7gdj4hs92yh7`) à partir de l'étape [Configuration d'Okta pour WorkflowGen Plus v2](#configuration-okta-apps-mobiles).
* **metadata\_url** : L'URL des métadonnées, qui consiste en la valeur de la propriété **Metadata URI** de l'onglet **Settings** de votre serveur d'autorisation WorkflowGen GraphQL API avec `/.well-known/oauth-authorization-server` remplacé par `/.well-known/openid-configuration` (p.ex. `https://{VOTRE_DOMAINE_OKTA}/oauth2/{ID_SERVEUR_AUTH}/.well-known/openid-configuration`). La valeur doit être encodée URL.
* **audience** : L'URL de votre API WorkflowGen GraphQL, dont la valeur doit être encodée URL (p.ex. : `https://macompagnie.com/wfgen/graphql`).

Le lien universel devrait suivre cette structure :

```
workflowgenplus://auth.init?provider=okta&server_address=https%3A%2F%2Fmacompagnie.com%2Fwfgen&client_id=0o7gdj4hs92yh7&metadata_url=https%3A%2F%2F{YOUR_OKTA_DOMAIN}%2Foauth2%2F{AUTH_SERVER_ID}%2F.well-known%2Fopenid-configuration&audience=https%3A%2F%2Fmacompagnie.com%2Fwfgen%2Fgraphql
```

{% hint style="success" %}
Une fois que vous aurez généré le lien universel, donnez-le à vos utilisateurs, qui pourront l'utiliser pour se connecter à WorkflowGen Plus par la méthode préconfigurée.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.workflowgen.com/tech-fr/integration-okta/generation-dun-lien-universel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
